<%= bootstrap_form_for :course, url: add_to_course_courses_path do |f| %>
  <div class="container">
    <div class="row">
      <div class="panel panel-default">
        <table class="table table-striped table-hover table-bordered">
          <thead>
            <tr>
              <th class="col-xs-1" scope="col"><%= label_tag 'check_all', 'check_all', class: "hide-label"%><%= check_box_tag 'check_all',false%></th>
              <th class="col-xs-1" scope="col">Thumbnail</th>
              <th class="col-xs-4" scope="col">Title</th>
              <th class="col-xs-2" scope="col">Director</th>
              <th class="col-xs-2" scope="col">Call Number</th>
              <th class="col-xs-1" scope="col">Year</th>
              <th class="col-xs-1" scope="col">File Name</th>
              <th class="col-xs-2" scope="col" style="min-width:100px;">End Date</th>
            </tr>
          </thead>
          <tbody>
            <% obj.each do |m| %>
              <% thumbnailURL = "#{Rails.configuration.file_path}#{m.file_name.gsub('.mp4','.jpg')}"%>
              <tr>
                <td><fieldset><legend class="hide-label">Type</legend><%= label_tag "media_ids_#{m.id}", 'media_ids[]', class: "hide-label"%>
                <%= check_box_tag 'media_ids[]', m.id, false, id: "media_ids_#{m.id}"%></fieldset></td>
                <td><%=image_tag "#{thumbnailURL}", :alt => '', :class => 'search-thumbnail' %></td>          
                <td><%= link_to "#{m.title}", edit_medium_path(m.id), 'data-no-turbolink' => true %></td>
                <td><%= m.director %></td>
                <td><%= m.call_number %></td>
                <td><%= m.year %></td>
                <td><%= m.file_name %></td>
                <td><%= m.end_date %></td>
              </tr>
            <% end %>
          <tbody>
        </table>
      </div>
    </div>
  </div>
  <% if @search_count && @search_count > 0%>
    <%= render :partial => 'shared/display_bottom_paginate' , :locals => {:obj => obj}%>
  <% end %>
  <div class="text-center">
    <%= f.primary "Add to Course List"%>    
    <%= link_to "Create New Video Record", new_medium_path, class: "btn btn-primary"%>
    <%= f.primary "Delete Selected Records", data: { confirm: 'Are you sure?' }%>
  </div>  
<% end %>  
